Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 860505

Summary: Review request: opensaml-java-openws - Java OpenWS library
Product: [Fedora] Fedora Reporter: Patryk Obara <pobara>
Component: Package ReviewAssignee: Marek Goldmann <mgoldman>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: bgeorges, mgoldman, mizdebsk, notting, package-review
Target Milestone: ---Flags: mgoldman: fedora-review?
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-15 08:03:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 860503    
Bug Blocks: 201449, 864531    

Description Patryk Obara 2012-09-26 02:10:48 UTC
Spec URL:
http://dreamertan.fedorapeople.org/srpm/opensaml-java-openws/1.4.4-1.fc17/opensaml-java-openws.spec

SRPM URL:
http://dreamertan.fedorapeople.org/srpm/opensaml-java-openws/1.4.4-1.fc17/opensaml-java-openws-1.4.4-1.fc17.src.rpm

Description:
The OpenWS library provides a growing set of tools to work with web services at
a low level. These tools include classes for creating and reading SOAP
messages, transport-independent clients for connecting to web services,
and various transports for use with those clients.

http://www.opensaml.org/

Comment 1 Marek Goldmann 2012-10-10 10:52:30 UTC
Some issues:

1. Mixing $RPM_BUILD_ROOT and %{buildroot}
2. You can use pom_macros: https://fedoraproject.org/wiki/User:Akurtakov/JavaPackagingDraftUpdate#Patching_Maven_pom.xml_files Example: http://goldmann.fedorapeople.org/package_review/opensaml-java/2.5.3-1/opensaml-java.spec
3. Add BR for opensaml-java-parent and drop the patch

Comment 3 Marek Goldmann 2012-10-15 08:03:17 UTC
Unresponsive packager, closing and blocking FE-DEADREVIEW.